#!/bin/sh
## View the hour angle change in SV log data
LOG=$1

grep hour= $LOG | sed -e 's/hour=//' -e 's/zen=//' -e 'y/:"/  /' | \
	awk 'BEGIN{dd=-1}{\
	if (startdate!=$1) {startdate=$1;dd+=1};\
	t=$2+$3/60.+$4/3600.+dd*24.;\
	if (substr($9,1,1)=="-") {ha=-((-$9)+$10/60.+$11/3600.)} else {\
		ha=$9+$10/60.+$11/3600.};\
	print t,ha,$8}' | tee $LOG.haz | awk '{print $1,$2}' >$LOG.ha
	
awk '{print $1,$3}' $LOG.haz >$LOG.zen
xmgrace -viewport 0.1 0.1 0.9 0.45 \
-noask -pexec "title \"Hour angle \"" $LOG.ha -graph 1 -pexec \
"title \"Zenith distance for $LOG\"" -viewport 0.1 0.60 0.9 0.87 $LOG.zen
rm $LOG.ha* $LOG.zen
